# Asterisk Project : Asterisk 13 Function_HANGUPCAUSE

Created by wikibot on Aug 08, 2014

# HANGUPCAUSE()

### Synopsis

Gets per-channel hangupcause information from the channel.

### Description

Gets technology-specific or translated Asterisk cause code information from the channel for the specified channel that resulted from a dial.

### Syntax

    HANGUPCAUSE(channel,type)

##### Arguments

- `channel` - The name of the channel for which to retreive cause information.
- `type` - Parameter describing which type of information is requested. Types are:
  - `tech` - Technology-specific cause information
  - `ast` - Translated Asterisk cause code

### See Also

- Asterisk 13 Function_HANGUPCAUSE_KEYS
- Asterisk 13 Application_HangupCauseClear

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538